package com.jwipc.spe.convert;

import com.jwipc.spe.dto.SupAppraisePlanBaseDTO;
import com.jwipc.spe.dto.SupAppraisePlanDetailDTO;
import com.jwipc.spe.dto.SupAppraisePlanSaveDTO;
import com.jwipc.spe.entity.SupAppraisePlan;
import com.jwipc.spe.entity.SupAppraiseResultDetail;
import com.jwipc.spe.model.po.SupAppraiseResultDetailPO;
import org.mapstruct.Mapper;

import java.util.List;


@Mapper(componentModel = "spring")
public interface SupAppraisePlanConvert {
    List<SupAppraisePlanBaseDTO> entities2Dtos(List<SupAppraisePlan> list);

    SupAppraisePlanDetailDTO entity2Dto(SupAppraisePlan appraisePlan);

    SupAppraisePlan dto2Entity(SupAppraisePlanSaveDTO supAppraisePlanSaveDTO);

    SupAppraiseResultDetail po2Entity1(SupAppraiseResultDetailPO supAppraiseResultDetailPO);

}
